Skip to content

API Reference

Welcome to the Interflow API documentation.

UNDER UPDATE

This documentation is in a continuous update phase.

Overview

The Interflow API allows you to integrate and automate platform functionalities in your applications.

Base URL

https://v1.api.interflow.chat

Authentication

The API uses API Keys for authentication:

bash
curl -X POST "https://v1.api.interflow.chat/api/{organizationId}/chat/create" \
  -H "x-api-key: ak_your_api_key_here" \
  -H "Content-Type: application/json" \
  -d '{
    "contactType": "whatsapp",
    "contactValue": "5511999999999",
    "channelId": "channel-uuid"
  }'

Where to find your IDs

IDIn the app
organizationIdSettingsAPI Keys
channelIdSidebar Channels — copy from the channel card
whatsappTemplate.id / templateIdChannels → Official WhatsApp channel → WhatsApp TemplatesCopy ID
teamIdSidebar Teams — copy from the team card
flowId / responseFlowIdSidebar Flows — copy from the flow card
customerIdSidebar Customers → actions (⋮) → Copy ID
API KeySettingsAPI Keys → generate a new key

Rate Limiting

PlanLimit
Starter60 req/min
Professional300 req/min
Enterprise1000 req/min

Main Endpoints

Chats

MethodEndpointDescription
POST/api/{organizationId}/chat/createCreate chat

Next Steps

Documentation constantly being updated